Favicon

You are here: Home > API Reference > UEM > Mdm Agent Logs > Get list of mdmAgentLogs

Get list of mdmAgentLogs

Required Permission: mdm.global.agentLog.list

Get list of mdmAgentLogs

GET
/v1/organizations/:organizationId/mdm/agent-logs/
Copy to clipboard

Get list of mdmAgentLogs

Required Permission: mdm.global.agentLog.list

Get list of mdmAgentLogs

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
os string
optional
iosandroidmacoswindowspackage
deviceType string
optional
emmDeviceadmDevicewinDevice
deviceId string
optional
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
deviceType string optional
emmDevice admDevice winDevice
deviceId string optional
Match pattern: ^[a-fA-F0-9]{24}$
userAgent string optional
≤ 500 characters
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
location string optional
≤ 1000 characters
version integer optional
≥ 0
os string optional
ios android macos windows package
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
content string optional
contentError string optional
file object optional
bucket string optional
≤ 256 characters
key string optional
≤ 256 characters
location string optional
≤ 256 characters
size number optional
Format: float
storageProviderId string optional
Match pattern: ^[a-fA-F0-9]{24}$
mimetype string optional
≤ 128 characters
originalName string optional
≤ 256 characters
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "deviceType": "emmDevice",
                "deviceId": "string",
                "userAgent": "string",
                "organization": "string",
                "location": "string",
                "version": 0,
                "os": "ios",
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z",
                "content": "string",
                "contentError": "string",
                "file": {
                    "bucket": "string",
                    "key": "string",
                    "location": "string",
                    "size": 0,
                    "storageProviderId": "string",
                    "mimetype": "string",
                    "originalName": "string"
                }
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}